type: google.api.Service
config_version: 3
name: enterpriseknowledgegraph.googleapis.com
title: Enterprise Knowledge Graph API

apis:
- name: google.cloud.enterpriseknowledgegraph.v1.EnterpriseKnowledgeGraphService
- name: google.longrunning.Operations

types:
- name: google.cloud.enterpriseknowledgegraph.v1.DeleteOperationMetadata

authentication:
  rules:
  - selector: 'google.cloud.enterpriseknowledgegraph.v1.EnterpriseKnowledgeGraphService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
